com.sun.grid.jgdi.event

## Class ComplexEntryModEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.ModEvent
      - - com.sun.grid.jgdi.event.ComplexEntryModEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ComplexEntryModEvent
      extends ModEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexEntryModEvent(long timestamp, int eventID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComplexEntry` | `get()`
    `java.lang.String` | `getName()` Get the name of the ComplexEntry
    `void` | `set(ComplexEntry obj)`
    `void` | `setPKInfo(int numKey1, int numKey2, java.lang.String strKey1, java.lang.String strKey2)` Set the primary key info of the ComplexEntry.

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexEntryModEvent

          public ComplexEntryModEvent(long timestamp,
                                      int eventID)

  - ### Method Detail

    - #### set

          public void set(ComplexEntry obj)

    - #### get

          public ComplexEntry get()

    - #### setPKInfo

          public void setPKInfo(int numKey1,
                                int numKey2,
                                java.lang.String strKey1,
                                java.lang.String strKey2)

      Set the primary key info of the ComplexEntry. This method is not indented for public usage. It is called from the native code to set the primary key info of cull event.
      Specified by:
        `setPKInfo` in class `ChangedObjectEvent`
      Parameters:
        `numKey1` - first numerical key
        `numKey2` - second numerical key
        `strKey1` - fist string key
        `strKey2` - second string key

    - #### getName

          public java.lang.String getName()

      Get the name of the ComplexEntry
      Returns:
        the name of the ComplexEntry

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.